#include "../include/Environment.h"

namespace environment {

  void Environment::reset(void)
  {
    component_cache -> reset();
    for (uint32_t i = 0; i < param->nb_component_tty    ; i++)
      component_tty     [i]   ->reset();
    for (uint32_t i = 0; i < param->nb_component_ramlock; i++)
      component_ramlock [i]   ->reset();
    component_sim2os -> reset();
    component_data -> reset();
    for (uint32_t i = 0; i < param->nb_entity; i++)
      {
	component_buffer_irsp [i] ->reset();
	component_buffer_drsp [i] ->reset();
      }
  }

};
